Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.client
Interface TCPIPSocketInfoInterface

All Known Implementing Classes:
  TCPIPSocketInfo

    public interface TCPIPSocketInfoInterface

This class represents TCPIP Socket configuration information. Basically, it represents java Socket options. Note: Once the socket connection is established, the host, port and socketFactoryImplClassName are not allowed to change.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:33:14 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`int` | `getBacklog()` Returns the backlog which is the maximum length of the queue.
`TCPIPSocketEstablishmentInfoInterface` | `getClientConnectionEstablishmentInfo()`
`java.lang.String` | `getConnectionType()`
`java.lang.String` | `getHost()` Returns the host.
`int` | `getPort()` Returns the port.
`int` | `getReceiveBufferSize()` Returns the receiveBufferSize.
`int` | `getSendBufferSize()` Returns the sendBufferSize.
`TCPIPServerPortBindingInfoInterface` | `getServerPortBindingInfo()`
`int` | `getServerSoTimeout()` Returns the server soTimeout.
`java.lang.String` | `getServerWelcomeMessage()`
`java.lang.String` | `getSocketFactoryImplClassName()` Returns the socketFactoryImplClassName.
`int` | `getSoLingerTimeout()` Returns the soLingerTimeout.
`int` | `getSoTimeout()` Returns the soTimeout.
`boolean` | `isClientConnectionType()`
`boolean` | `isKeepAlive()` Checks whether the keepAlive option is on.
`boolean` | `isServerConnectionType()`
`boolean` | `isSoLinger()` Checks whether the SoLinger option is on.
`boolean` | `isTcpNoDelay()` Checks whether the TcpNoDelay option is on.
`void` | `setKeepAlive(boolean keepAlive)` Sets the keepAlive.
`void` | `setReceiveBufferSize(int receiveBufferSize)` Sets the receiveBufferSize.
`void` | `setSendBufferSize(int sendBufferSize)` Sets the sendBufferSize.
`void` | `setServerSoTimeout(int soTimeout)` Sets the server soTimeout.
`void` | `setSoLinger(boolean soLinger)` Sets the soLinger.
`void` | `setSoLingerTimeout(int soLingerTimeout)` Sets the soLingerTimeout.
`void` | `setSoTimeout(int soTimeout)` Sets the soTimeout.
`void` | `setTcpNoDelay(boolean tcpNoDelay)` Sets the tcpNoDelay.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getConnectionType

    java.lang.String getConnectionType()

  Returns:

### isServerConnectionType

    boolean isServerConnectionType()

  Returns:

### isClientConnectionType

    boolean isClientConnectionType()

  Returns:

### getServerSoTimeout

    int getServerSoTimeout()

  Returns the server soTimeout.

  Returns:
    The server soTimeout.

### setServerSoTimeout

    void setServerSoTimeout(int soTimeout)
                            throws TCPIPApplicationException,
                                   java.io.IOException

  Sets the server soTimeout.

  Parameters:
    `soTimeout` - The server soTimeout to set
  Throws:
    `TCPIPApplicationException` - on error
    `java.io.IOException` - on i/o error.

### getServerWelcomeMessage

    java.lang.String getServerWelcomeMessage()

  Returns:

### getHost

    java.lang.String getHost()

  Returns the host.

  Returns:
    The host.

### isKeepAlive

    boolean isKeepAlive()

  Checks whether the keepAlive option is on.

  Returns:
    boolean

### getPort

    int getPort()

  Returns the port.

  Returns:
    The port.

### getBacklog

    int getBacklog()

  Returns the backlog which is the maximum length of the queue. It is for outbound server.

  Returns:
    The backlog.

### getReceiveBufferSize

    int getReceiveBufferSize()

  Returns the receiveBufferSize.

  Returns:
    The receive buffer size

### getSendBufferSize

    int getSendBufferSize()

  Returns the sendBufferSize.

  Returns:
    The send buffer size.

### isSoLinger

    boolean isSoLinger()

  Checks whether the SoLinger option is on.

  Returns:
    boolean

### getSoLingerTimeout

    int getSoLingerTimeout()

  Returns the soLingerTimeout.

  Returns:
    The soLinger timeout

### getSoTimeout

    int getSoTimeout()

  Returns the soTimeout.

  Returns:
    The soTimeout.

### isTcpNoDelay

    boolean isTcpNoDelay()

  Checks whether the TcpNoDelay option is on.

  Returns:
    boolean

### setKeepAlive

    void setKeepAlive(boolean keepAlive)
                      throws java.io.IOException

  Sets the keepAlive.

  Parameters:
    `keepAlive` - The keepAlive to set
  Throws:
    `IOExeption` - on i/oerror
    `java.io.IOException`

### setReceiveBufferSize

    void setReceiveBufferSize(int receiveBufferSize)
                              throws TCPIPApplicationException,
                                     java.io.IOException

  Sets the receiveBufferSize.

  Parameters:
    `receiveBufferSize` - The receiveBufferSize to set
  Throws:
    `TCPIPApplicationException` - on error
    `IOExeption` - on i/oerror
    `java.io.IOException`

### setSendBufferSize

    void setSendBufferSize(int sendBufferSize)
                           throws TCPIPApplicationException,
                                  java.io.IOException

  Sets the sendBufferSize.

  Parameters:
    `sendBufferSize` - The sendBufferSize to set
  Throws:
    `TCPIPApplicationException` - on error
    `IOExeption` - on i/oerror
    `java.io.IOException`

### setSoLinger

    void setSoLinger(boolean soLinger)
                     throws java.io.IOException

  Sets the soLinger.

  Parameters:
    `soLinger` - The soLinger to set
  Throws:
    `IOExeption` - on i/oerror
    `java.io.IOException`

### setSoLingerTimeout

    void setSoLingerTimeout(int soLingerTimeout)
                            throws java.io.IOException

  Sets the soLingerTimeout.

  Parameters:
    `soLingerTimeout` - The soLingerTimeout to set
  Throws:
    `IOExeption` - on i/oerror
    `java.io.IOException`

### setSoTimeout

    void setSoTimeout(int soTimeout)
                      throws TCPIPApplicationException,
                             java.io.IOException

  Sets the soTimeout.

  Parameters:
    `soTimeout` - The soTimeout to set
  Throws:
    `TCPIPApplicationException` - on error
    `IOExeption` - on i/oerror
    `java.io.IOException`

### setTcpNoDelay

    void setTcpNoDelay(boolean tcpNoDelay)
                       throws java.io.IOException

  Sets the tcpNoDelay.

  Parameters:
    `tcpNoDelay` - The tcpNoDelay to set
  Throws:
    `IOExeption` - on i/oerror
    `java.io.IOException`

### getSocketFactoryImplClassName

    java.lang.String getSocketFactoryImplClassName()

  Returns the socketFactoryImplClassName.

  Returns:
    String

### getClientConnectionEstablishmentInfo

    TCPIPSocketEstablishmentInfoInterface getClientConnectionEstablishmentInfo()

  Returns:
    TCPIPSocketEstablishmentInfoInterface

### getServerPortBindingInfo

    TCPIPServerPortBindingInfoInterface getServerPortBindingInfo()

  Returns:
    TCPIPServerPortBindingInfoInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD